Subject: [ippm] Call for adoption: draft-cmzrjp-ippm-twamp-yang

From: Brian Trammell <[email-masked]>
Date: Thu, 10 Dec 2015 11:24:18 +0100

Greetings, all,

Following support in the room for the adoption of draft-cmzrjp-ippm-twamp-yang in Yokohama, this message starts a formal call for adoption of the following milestone:

April 2016: submit a Standards Track document to the IESG for a YANG model for managing TWAMP clients and servers

in support of paragraph 6 of our charter:

  The WG has produced protocols for communication among test equipment to
  enable the measurement of the one- and two-way metrics (OWAMP and TWAMP
  respectively). These protocols will be advanced along the standards track.
  The work of the WG will take into account the suitability of measurements
  for automation, in order to support large-scale measurement efforts. This
  may result in further developments in protocols such as OWAMP and TWAMP.

and to adopt draft-cmzrjp-ippm-twamp-yang as the document for this milestone.

Please express support or concerns with adopting this document by 31 December 2015 to the IPPM working group mailing list, [email-masked]

Many thanks, best regards,

Brian Trammell (chair hat)

---

From: Jéferson Campos Nobre <[email-masked]>
Date: Fri, 11 Dec 2015 17:13:54 +0000

Dear All.
I support the adoption of this draft.
Best.

Jéferson Campos Nobre
PhD Student
Computer Networks Group - Institute of Informatics
Federal University of Rio Grande do Sul
http://www.inf.ufrgs.br/~jcnobre

Em qui, 10 de dez de 2015 às 08:25, Brian Trammell <[email-masked]>
escreveu:

> Greetings, all,
>
> Following support in the room for the adoption of
> draft-cmzrjp-ippm-twamp-yang in Yokohama, this message starts a formal call
> for adoption of the following milestone:
>
>   may result in further developments in protocols such as OWA

Jéferson Campos Nobre

PhD Student

Computer Networks Group - Institute of Informatics

Federal University of Rio Grande do Sul

http://www.inf.ufrgs.br/~jcnobre

MP and TWAMP.
> Please express support or concerns with adopting this document by 31
> December 2015 to the IPPM working group mailing list, [email-masked]
>
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm
>

---

From: Mach Chen <[email-masked]>
Date: Mon, 14 Dec 2015 01:54:00 +0000

I have read the document and think it's a useful. So I support the adoption of this draft.

Best regards,
Mach

> -----Original Message-----
> From: ippm [mailto:[email-masked]] On Behalf Of Brian Trammell
> Sent: Thursday, December 10, 2015 6:24 PM
> To: [email-masked]
> Subject: [ippm] Call for adoption: draft-cmzrjp-ippm-twamp-yang
> 
> Greetings, all,
>

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Mon, 14 Dec 2015 10:09:27 -0500

Forwarding Lada's message, as requested,
Al

-----Original Message-----
From: Ladislav Lhotka [mailto:[email-masked]] 
Sent: Monday, December 14, 2015 10:02 AM
To: MORTON, ALFRED C (AL)
Cc: Mahesh Jethanandani; Reshad Rahman; Kostas Pentikousis ([email-masked]); Vero Zheng ([email-masked]); Civil, Ruth; Benoit Claise
Subject: Re: Review of TWAMP YANG model

Hi Al,

I am not subscribed to the ippm mailing list but feel free to forward my review there.

Thanks, Lada

> On 14 Dec 2015, at 15:58, MORTON, ALFRED C (AL) <[email-masked]> wrote:
> 
> Hi Ladislav,
> Thanks for your comments and overall support of the design.
> 
> Would you be willing to post your comments on [email-masked] ?
> There is currently a call for adoption in-progress,
> and your review and comments will help.
> 
> thanks and regards,
> Al
> 
>> From: Ladislav Lhotka [mailto:[email-masked]]
>> Sent: Monday, December 14, 2015 8:47 AM
>> To: Mahesh Jethanandani
>> Cc: Reshad Rahman; Kostas Pentikousis ([email-masked]); MORTON,
>> ALFRED C (AL); Vero Zheng ([email-masked]); Civil, Ruth; yang-
>> [email-masked]
>> Subject: Re: Review of TWAMP YANG model
>> 
>> Hi Mahesh,
>> 
>> here are my comments to draft-cmzrjp-ippm-twamp-yang-02, I am sorry it
>> took me so long.
>> 
>> Overall, I think the I-D and the module are well organized. I am not a
>> TWAMP expert, so I cannot evaluate how the data model fits the
>> domain-specific needs. From the YANG point of view, I discovered one
>> problem with the module and several validity issues with the example
>> instance documents. I also have a couple of suggestions regarding the
>> module. Details follow.
>> 
>> It is useful to always validate, e.g. using pyang and yang2dsdl, the
>> module *and* all example instance data. I have a skeleton project on
>> GitHub where these (and other) tasks are automated through a Makefile:
>> 
>> https://github.com/llhotka/YANG-I-D
>> 
>> Best regards, Lada
>> 
>> ** draft-cmzrjp-ippm-twamp-yang-02
>> *** Module "ietf-twamp"
>>    - Top-level containers "twamp-session-sender" and
>>      "twamp-session-reflector" should probably be with presence
>>      because otherwise they are mandatory, which is not allowed per
>>      RFC 6087, sec. 4.9.
>>    - The "reference" statement should contain "RFC XXXX: Two-Way
>>      Active Measurement Protocol (TWAMP) Data Model" instead of
>>      "draft-cmzrjp-ippm-twamp-yang".
>>    - Ranges for uint32 such as "1024..4294967295" should be written
>>      "1024..max" - the latter is IMO clearer.
>> 
>> *** Instance data examples
>> **** control-client
>>     - boolean value is "true", not "True"
>> **** control-client2
>>     - missing mandatory leaf "client-admin-state"
>> **** server
>>     - boolean value is "true", not "True"
>> **** server2
>>     - missing mandatory leaf "server-admin-state"
>> **** session-sender
>>     - missing mandatory leaf "session-sender-admin-state"
>>     - comment "read-only" should be written (twice) as XML comment,
>> i.e.
>>       <!-- read-only-->
>>     - "packet-distribution" is a "choice" node, so it should not
>>       appear in instance data.
>> **** session-reflector
>>     - missing mandatory leaf "session-reflector-admin-state"
>>     - key elements of the "twamp-reflector-test-session" list should
>>       go first in each list entry and in the same order as they appear
>>       in the "key" statement, see RFC 6020, sec. 7.8.5. For example:
>>         <twamp-reflector-test-session>
>>           <sender-ip>10.1.1.1</sender-ip>
>>           <sender-udp-port>4000</sender-udp-port>
>>           <reflector-ip>10.1.1.2</reflector-ip>
>>           <reflector-udp-port>5000</reflector-udp-port>
>>           <sid>1232</sid>
>>           ...
>>         </twamp-reflector-test-session>
>> 
>> 
>> 
>> Mahesh Jethanandani <[email-masked]> writes:
>> 
>>> Lada,
>>> 
>>> I am following up on our discussion in Yokohama, and in particular my
>> request to see if you could review the TWAMP YANG model.
>>> 
>>> The team has done a exceptional job of explaining the YANG model using
>> both a UML diagram and the YANG tree diagram, that you might find
>> helpful as you review the approach.
>>> 
>>> https://tools.ietf.org/html/draft-cmzrjp-ippm-twamp-yang-02
>> <https://tools.ietf.org/html/draft-cmzrjp-ippm-twamp-yang-02>
>>> 
>>> Thanks in advance.
>>> 
>>> Mahesh Jethanandani
>>> [email-masked]
>>> 
>>> 
>>> 
>>> 
>>> 
>> 
>> --
>> Ladislav Lhotka, CZ.NIC Labs
>> PGP Key ID: E74E8C0C

--
Ladislav Lhotka, CZ.NIC Labs
PGP Key ID: E74E8C0C

> Sent: Thursday, December 10, 2015 5:24 AM
> To: [email-masked]
> Following support in the room for the adoption of draft-cmzrjp-ippm-
> twamp-yang in Yokohama, this message starts a formal call for adoption
> of the following milestone:
> 
> April 2016: submit a Standards Track document to the IESG for a YANG
> model for managing TWAMP clients and servers
>

---

From: "Cuiyang (Yang, WN Japan)" <[email-masked]>
Date: Mon, 14 Dec 2015 23:23:34 +0000

Hi, all,

Best,
Yang
==================
Yang Cui,  Ph.D.
Huawei Technologies Japan K.K.
12F, West Tower, Otemachi First Square,
1-5-1 Otemachi, Chiyoda-ku, Tokyo 100-0004, JAPAN

-----Original Message-----
From: ippm [mailto:[email-masked]] On Behalf Of Brian Trammell
Sent: Thursday, December 10, 2015 7:24 PM
To: [email-masked]
Subject: [ippm] Call for adoption: draft-cmzrjp-ippm-twamp-yang

Greetings, all,

---

From: Gregory Mirsky <[email-masked]>
Date: Mon, 14 Dec 2015 23:40:43 +0000

Dear All,
I believe that the draft provides great foundation for the WG to continue working on TWAMP YANG model. I do support the adoption of this draft.

	Regards,
		Greg

-----Original Message-----
From: ippm [mailto:[email-masked]] On Behalf Of Brian Trammell
Sent: Thursday, December 10, 2015 2:24 AM
To: [email-masked]
Subject: [ippm] Call for adoption: draft-cmzrjp-ippm-twamp-yang

Greetings, all,

---

From: Srivathsa Sarangapani <[email-masked]>
Date: Tue, 15 Dec 2015 03:24:55 +0000

Hi All,

I had some proposals earlier. Mentioning the same again here. Can these be added?
 - Can we add configuration on server side to add a list of client IPs from which the server can accept the connections?
   Doing this gives an option to server to accept only genuine connection requests and not from some spurious clients.
   This was discussed in July meet at Prague.
 - Wanted to propose addition of the below delay stats:
    - RTT shall be (Session-Sender Ingress Timestamp) - (Session-Sender Egress Timestamp) -
                   ((Session-Reflector Egress Timestamp) - (Session-Reflector Ingress Timestamp))
      (Session-Reflector Egress Timestamp) - (Session-Reflector Ingress Timestamp) : Shall be the server processing Time.
    - Ingress Jitter
    - Egress Jitter
    - RTT Jitter
The Ingress, Egress and RTT Jitters are as defined below:

jitter is defined to be the difference in relative transit time between two consecutive probes.
From the diagram below, we can define this to be:

|        |
|Si      |
|  \     |
|   \    |
|    \   |
|     \  |
|      Ri|
|        |
|       /|
|      / |
|     /  |
|    /   |
|   /    |
|  /     |
| /      |
|        |
|Sj      |
|  \     |
|   \    |
|    \   |
|     \  |
|      Rj|
|        |
|       /|
|      / |
|     /  |
|    /   |
|   /    |
|  /     |
| /      |
Probe    Probe
Sender   Responder

D(i,j) = (Rj - Sj) - (Ri - Si)
       = (Rj - Ri) - (Sj - Si)

D(i,j) represents the measure of jitter between probes i and j in the
egress (ie, Source to Destination) direction.

Similarly, we can also define jitter in the ingress direction (ie, Destination
to Source) direction to be:

|        |
|\       |
| \      |
|  \     |
|   \    |
|    \   |
|     \  |
|      \ |
|       \|
|        |
|      Si|
|     /  |
|    /   |
|   /    |
|  /     |
| /      |
|Ri      |
|        |
|\       |
| \      |
|  \     |
|   \    |
|    \   |
|     \  |
|      \ |
|       \|
|        |
|      Sj|
|     /  |
|    /   |
|   /    |
|  /     |
| /      |
|Rj      |
Probe    Probe
Sender   Responder

D(i,j) = (Rj - Sj) - (Ri - Si)
       = (Rj - Ri) - (Sj - Si)

Similarly, we can also define jitter for the round trip delays to be:

|        |
|Si      |
|\       |
| \      |
|  \     |
|   \    |
|    \   |
|     \  |
|      \ |
|       \|
|       /|
|      / |
|     /  |
|    /   |
|   /    |
|  /     |
| /      |
|Ri      |
|        |
|Sj      |
|\       |
| \      |
|  \     |
|   \    |
|    \   |
|     \  |
|      \ |
|       \|
|       /|
|      / |
|     /  |
|    /   |
|   /    |
|  /     |
| /      |
|Rj      |
Probe    Probe
Sender   Responder

D(i,j) = (Rj - Sj) - (Ri - Si)
       = (Rj - Ri) - (Sj - Si)

—
Regards,
Vathsa

-----Original Message-----
From: Brian Trammell <[email-masked]<mailto:[email-masked]>>
Date: Thursday, December 10, 2015 at 3:54 PM
To: <[email-masked]<mailto:[email-masked]>>
Subject: [ippm] Call for adoption: draft-cmzrjp-ippm-twamp-yang

Greetings, all,

Please express support or concerns with adopting this document by 31 December 2015 to the IPPM working group mailing list, [email-masked]<mailto:[email-masked]>

---

From: "Haleplidis Evangelos" <[email-masked]>
Date: Thu, 24 Dec 2015 02:00:48 +0200

Greetings to the list,

I also support the adoption of this draft.
The authors have done good work on the document.

Regards,
Evangelos.

> From: ippm [mailto:[email-masked]] On Behalf Of Cuiyang (Yang,
> WN Japan)
> Sent: Tuesday, December 15, 2015 1:24 AM
> To: Brian Trammell; [email-masked]
> Subject: Re: [ippm] Call for adoption: draft-cmzrjp-ippm-twamp-yang
> 
> Hi, all,
>